Subject: bug#10414: Wrong manpage name in automake 1.11.2

From: Dagobert Michelsen <[email-masked]>
Date: Sun, 1 Jan 2012 15:28:58 +0100

Hi Stefano,

Am 01.01.2012 um 15:19 schrieb Stefano Lattarini:
> On 01/01/2012 03:11 PM, Dagobert Michelsen wrote:
>> Am 01.01.2012 um 10:01 schrieb Stefano Lattarini:
>>> On 12/29/2011 09:00 PM, Dagobert Michelsen wrote:
>>>> I have compiled automake 1.11.2 on Solaris 9 Sparc with Sun Studio 12 with
>>>> OpenCSW build standards and get wrong man page names:
>>>> 
>>>> /opt/csw/share/man/man1/aclocal-1.11.1
>>>> /opt/csw/share/man/man1/automake-1.11.1
>>>> 
>>>> I think the origin are these wrong versions in the files
>>>> 
>>>> unstable9s% more automake.1 
>>>> .so man1/automake-1.11.1
>>>> unstable9s% more aclocal.1 
>>>> .so man1/aclocal-1.11.1
>>> 
>>> Thanks for your report, but this is not an error IMHO: you are installing an
>>> automake release for the 1.11.x, so its manpages get installed with a name
>>> like "automake-1.11".  This has been true for the various past automake
>>> releases as well.
>> 
>> I wouldn't object against 1.11, but it installs as 1.11.1
> 
> Yes, but the last `.1' in `man1/automake-1.11.1' etc. is just the file extension
> for a man page in section 1 (i.e., "general commands"); it is not meant to be
> part of the automake version number :-)

m-(  <- Facepalm smiley. Please close the bug.

Best regards

  -- Dago

-- 
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896